Viewing Issue Advanced Details
ID Category [?] Severity [?] Reproducibility Date Submitted Last Update
04305 Crash/Freeze Critical (emulator) Always Apr 10, 2011, 00:52 Jun 4, 2011, 13:02
Tester Tafoid View Status Public Platform MAME (Self-compiled)
Assigned To Kale Resolution Fixed OS
Status [?] Resolved Driver metro.cpp
Version 0.142 Fixed in Version 0.142u5 Build Normal
Summary 04305: vmetal, vmetaln: Crash directly after OK
Description Game crashes directly after OK.

Program received signal SIGSEGV, Segmentation fault.
0x00a1c820 in metro_draw_sprites (machine=..., bitmap=0x2b441fd0,
    cliprect=0x22e810) at src/mame/video/metro.c:452
452 int sprites = state->m_videoregs[0x00/2] % max_sprites;

#0 0x00a1c820 in metro_draw_sprites (machine=..., bitmap=0x2b441fd0,
    cliprect=0x22e810) at src/mame/video/metro.c:452
#1 0x0071de75 in screen_update_varia (screen=0x12751f00, bitmap=0x2b441fd0,
    cliprect=0x22e810) at src/mame/drivers/vmetal.c:436
#2 0x01b16b8c in screen_device::screen_update (this=0x12751f00, bitmap=...,
    cliprect=...) at src/emu/screen.c:1113
#3 0x01b14bbf in screen_device::update_partial (this=0x12751f00,
    scanline=287) at src/emu/screen.c:652
#4 0x01e5468d in video_manager::finish_screen_updates (this=0x15e81f18)
    at src/emu/video.c:666
#5 0x01e52f4f in video_manager::frame_update (this=0x15e81f18, debug=false)
    at src/emu/video.c:225
#6 0x01b1564a in screen_device::vblank_begin_callback (this=0x12751f00)
    at src/emu/screen.c:828
#7 0x0224576d in screen_device::static_vblank_begin_callback (machine=...,
    ptr=0x12751f00, param=0) at src/emu/screen.h:216
#8 0x01bc099e in device_scheduler::execute_timers (this=0x22f5d8)
    at src/emu/schedule.c:878
#9 0x01bbf435 in device_scheduler::timeslice (this=0x22f5d8)
    at src/emu/schedule.c:411
#10 0x01b1bb06 in running_machine::run (this=0x22ecb0, firstrun=true)
    at src/emu/machine.c:389
#11 0x01b8e60f in mame_execute (options=..., osd=...) at src/emu/mame.c:189
#12 0x01e2fcbd in cli_execute (options=..., osd=..., argc=4, argv=0x3f47e8)
    at src/emu/clifront.c:212
#13 0x013a6681 in utf8_main (argc=4, argv=0x3f47e8)
    at src/osd/windows/winmain.c:421
#14 0x0206ba4e in wmain (argc=4, argv=0x3f42f8) at src/osd/windows/main.c:82
#15 0x004013d1 in __tmainCRTStartup () at ../mingw-w64-crt/crt/crtexe.c:268
#16 0x7c817077 in RegisterWaitForInputIdle ()
   from C:\WINDOWS\system32\kernel32.dll
Steps To Reproduce
Additional Information Merged into metro.c in 0.148
Flags
Regression Version 0.142
Affected Sets / Systems vmetal, vmetaln
Attached Files
 
Relationships
There are no relationship linked to this issue.
Notes
1
User avatar
No.07476
Tafoid
Administrator
May 27, 2011, 03:50
Breaking revision r12027.